版本更新说明 / Piwigo 2.9.4

bug fixes (including security)

2.9.4
下载 Piwigo 2.9.4

于 13 七月 2018 发布

md5sum

主要变更见 Piwigo 2.9.0 版本更新说明

错误修正

已知问题

语言

增加特性

升级

错误修正

894 / Technical

修复语法错误

891 / Security

链接到 piwigo.org 现须用 HTTPS

890 / Security

[管理面板 > 图片 > 添加 > 应用程序]中的 http/https 混合内容

889 / Technical

针对 Smarty 与 PHP7.2 的修正

888 / Technical

修正 php7.2 及以上的 Cssmin

887 / Technical

PHP 7.2,在用户管理中有警告提醒

877 / Users & Groups

website_url 列与外部用户表(external user table)的冲突

872 / Security

CVE-2018-7724

853 / Technical

Piwigo 2.9.3 破坏 Colored Tags 插件

847 / Security

CVE-2018-5692

844 / 显示

/recent_cats breadcrumb 中有缺失的链接标签

834 / Technical

支持 PHP 7.2 的前期工作

748 / Security

无法查看用户 - 403 on user_list_backend.php

596 / Technical

PHP 7.1 与 template.class.php 不兼容

258 / Photos

[albums] Batch-managing a since-deleted album gives SQL error

已知问题

897 / Technical

[2.9.4] functions_mysqli.inc.php 页 line 403 中的 意外 T_FUNCTION

902 / Users & Groups

[2.9.4] users list no longer paginated or filtered

语言

更新的语言

Danish (Dansk)

Greek (Ελληνικά)

Esperanto

Estonian (eesti)

Persian (فارسی)

Finnish (suomi)

French Canadian (Québecois)

Hebrew (עברית)

Hungarian (Magyar)

Japanese (日本語)

Lithuanian (Lietuvių)

Dutch (Nederlands)

Polish (Polski)

Portuguese (Português)

Romanian (Română)

Turkish (Türkçe)

Vietnamese (Tiếng Việt)

升级

我们建议 自动升级。 如果您运行的是 version 2.2+, Piwigo 将在升级前告诉您哪些插件可能与 Piwigo 2.9 不能兼容。

如果您运行的是 Piwigo 2.9.x 您也可以下载 2.9.x_to_2.9.4.zip 存档,它包含了所有全新的和更新的文件。 在解压缩文件后,使用FTP客户端将其上传到您的web服务器上,over your Piwigo 2.9.x installation. 无需数据库更新。

如果您运行的版本早于 2.9 并且不想使用自动升级,那么请 手动升级